#first tick actions
execute if score $credits secret matches 1 run stopsound @a
execute if score $credits secret matches 1 run tag @a[tag=warped] add biomerun3
execute if score $credits secret matches 1 run tag @a[tag=warped] add biomerun3_title
execute if score $credits secret matches 1 as @a[tag=warped] run function chop:secret/advancement
execute if score $credits secret matches 1 run tag @a[tag=warped] remove warped
execute if score $credits secret matches 1 as @a[tag=freeplay] at @s run function chop:freeplay/exit
execute if score $credits secret matches 1..599 run gamemode spectator @a[gamemode=!spectator]

#continues until reaches x score...
scoreboard players add $credits secret 1
execute if score $credits secret matches 601.. run scoreboard players set credits secret 0

#tp, titles and sounds
execute if score $credits secret matches 100..129 run teleport @a 0 115 22 0 0
execute if score $credits secret matches 130..159 run teleport @a -16 115 16 45 0
execute if score $credits secret matches 160..189 run teleport @a -22 115 0 90 0
execute if score $credits secret matches 190..219 run teleport @a -16 115 -16 135 0
execute if score $credits secret matches 220..249 run teleport @a 0 115 -22 180 0
execute if score $credits secret matches 250..279 run teleport @a 16 115 -16 225 0
execute if score $credits secret matches 280..309 run teleport @a 115 140 0 270 0
execute if score $credits secret matches 310..339 run teleport @a 16 115 16 315 0
execute if score $credits secret matches 340..600 run tp @a 0 100 0 180 0

execute if score $credits secret matches 130..159 run title @a title {"text":"A Minigame","color":"red"}
execute if score $credits secret matches 160..189 run title @a title {"text":"Created","color":"red"}
execute if score $credits secret matches 190..219 run title @a title {"text":"by","color":"red"}
execute if score $credits secret matches 220..249 run title @a title {"text":"Supersette","color":"aqua"}
execute if score $credits secret matches 250..279 run title @a title {"text":"and","color":"red"}
execute if score $credits secret matches 280..309 run title @a title {"text":"Friends","color":"yellow"}
execute if score $credits secret matches 310..339 run title @a subtitle {"text":"Thanks for playing!","color":"red"}
execute if score $credits secret matches 340..600 run title @a title {"text":"Biome Run 3","color":"gold","bold":true}
execute if score $credits secret matches 310 run title @a title {"text":""}

execute as @a at @s if score $credits secret matches 100 run playsound minecraft:block.note_block.bass master @s ~ ~ ~ 100 1.1
execute as @a at @s if score $credits secret matches 130 run playsound minecraft:block.note_block.bass master @s ~ ~ ~ 100 1.2
execute as @a at @s if score $credits secret matches 160 run playsound minecraft:block.note_block.bass master @s ~ ~ ~ 100 1.3
execute as @a at @s if score $credits secret matches 190 run playsound minecraft:block.note_block.bass master @s ~ ~ ~ 100 1.4
execute as @a at @s if score $credits secret matches 220 run playsound minecraft:block.note_block.bass master @s ~ ~ ~ 100 1.5
execute as @a at @s if score $credits secret matches 250 run playsound minecraft:block.note_block.bass master @s ~ ~ ~ 100 1.6
execute as @a at @s if score $credits secret matches 280 run playsound minecraft:block.note_block.bass master @s ~ ~ ~ 100 1.7
execute as @a at @s if score $credits secret matches 310 run playsound minecraft:block.note_block.bass master @s ~ ~ ~ 100 1.8

#title times
execute if score $credits secret matches 1..600 run title @a times 0 10 0

#fix credits
execute if score $credits secret matches 300 if score credits stats matches 0 run function chop:lobby/options/credits

#fireworks
execute if score $credits secret matches 600 run summon firework_rocket -3 100 -7 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:0,Flicker:0,Trail:0,Colors:[I;11743532,15790320],FadeColors:[I;11743532,14188952]}]}}}}
execute if score $credits secret matches 350 run summon firework_rocket 1 100 -7 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:0,Flicker:0,Trail:0,Colors:[I;8900370,1759843],FadeColors:[I;8943992,2142540]}]}}}}
execute if score $credits secret matches 340 run summon firework_rocket -4 100 -12 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:0,Flicker:0,Trail:0,Colors:[I;3196871,13194324],FadeColors:[I;3679781,5704993]}]}}}}
execute if score $credits secret matches 420 run summon firework_rocket 0 100 -13 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:4,Flicker:0,Trail:0,Colors:[I;3030730,15790320],FadeColors:[I;10085918,13591681]}]}}}}
execute if score $credits secret matches 435 run summon firework_rocket 4 100 -11 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:3,Flicker:0,Trail:0,Colors:[I;2085231,15790320],FadeColors:[I;4795571,2402391]}]}}}}
execute if score $credits secret matches 570 run summon firework_rocket -3 100 -7 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:0,Flicker:0,Trail:0,Colors:[I;11743532,1740733],}]}}}}
execute if score $credits secret matches 590 run summon firework_rocket -4 100 -12 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:1,Flicker:0,Trail:0,Colors:[I;2906035,15790320]}]}}}}
execute if score $credits secret matches 350 run summon firework_rocket 4 100 -11 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:0,Flicker:0,Trail:0,Colors:[I;11743532,3216537],}]}}}}
execute if score $credits secret matches 400 run summon firework_rocket -3 100 -7 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:0,Flicker:0,Trail:0,Colors:[I;15183897,15790320],}]}}}}
execute if score $credits secret matches 550 run summon firework_rocket 1 100 -7 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:1,Flicker:0,Trail:0,Colors:[I;11743532,11933110]}]}}}}
execute if score $credits secret matches 530 run summon firework_rocket -4 100 -12 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:1,Flicker:0,Trail:0,Colors:[I;16777215,131329]}]}}}}
execute if score $credits secret matches 489 run summon firework_rocket 0 100 -13 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:2,Flicker:0,Trail:0,Colors:[I;11974326,9025850],}]}}}}
execute if score $credits secret matches 460 run summon firework_rocket 4 100 -11 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:4,Flicker:0,Trail:0,Colors:[I;9735099,4723372],}]}}}}
execute if score $credits secret matches 540 run summon firework_rocket -3 100 -7 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:1,Flicker:0,Trail:0,Colors:[I;11742326,7214431],}]}}}}
execute if score $credits secret matches 585 run summon firework_rocket 1 100 -7 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:1,Flicker:0,Trail:0,Colors:[I;2928563,1547097]}]}}}}
execute if score $credits secret matches 360 run summon firework_rocket -4 100 -12 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:0,Flicker:0,Trail:0,Colors:[I;10240575,2471570]}]}}}}
execute if score $credits secret matches 385 run summon firework_rocket 0 100 -13 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:0,Flicker:0,Trail:0,Colors:[I;3838146,8800702]}]}}}}
execute if score $credits secret matches 415 run summon firework_rocket 4 100 -11 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:1,Flicker:0,Trail:0,Colors:[I;2929558,2274207]}]}}}}
execute if score $credits secret matches 390 run summon firework_rocket -3 100 -7 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:0,Flicker:0,Trail:0,Colors:[I;11743532,15790320],FadeColors:[I;11743532,14188952]}]}}}}
execute if score $credits secret matches 380 run summon firework_rocket 1 100 -7 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:0,Flicker:0,Trail:0,Colors:[I;8900370,1759843],FadeColors:[I;8943992,2142540]}]}}}}
execute if score $credits secret matches 430 run summon firework_rocket -4 100 -12 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:0,Flicker:0,Trail:0,Colors:[I;3196871,13194324],FadeColors:[I;3679781,5704993]}]}}}}
execute if score $credits secret matches 520 run summon firework_rocket 0 100 -13 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:4,Flicker:0,Trail:0,Colors:[I;3030730,15790320],FadeColors:[I;10085918,13591681]}]}}}}
execute if score $credits secret matches 450 run summon firework_rocket 4 100 -11 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:3,Flicker:0,Trail:0,Colors:[I;2085231,15790320],FadeColors:[I;4795571,2402391]}]}}}}
execute if score $credits secret matches 470 run summon firework_rocket -3 100 -7 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:0,Flicker:0,Trail:0,Colors:[I;1222835,1740733],}]}}}}
execute if score $credits secret matches 490 run summon firework_rocket -4 100 -12 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:1,Flicker:0,Trail:0,Colors:[I;2906035,15790320]}]}}}}
execute if score $credits secret matches 495 run summon firework_rocket 4 100 -11 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:0,Flicker:0,Trail:0,Colors:[I;11743532,3216537],}]}}}}
execute if score $credits secret matches 550 run summon firework_rocket -3 100 -7 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:0,Flicker:0,Trail:0,Colors:[I;15183897,15790320],}]}}}}
execute if score $credits secret matches 450 run summon firework_rocket 1 100 -7 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:1,Flicker:0,Trail:0,Colors:[I;11743532,11933110]}]}}}}
execute if score $credits secret matches 430 run summon firework_rocket -4 100 -12 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:1,Flicker:0,Trail:0,Colors:[I;16777215,16777215]}]}}}}
execute if score $credits secret matches 392 run summon firework_rocket 0 100 -13 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:2,Flicker:0,Trail:0,Colors:[I;11974326,9025850],}]}}}}
execute if score $credits secret matches 400 run summon firework_rocket 4 100 -11 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:4,Flicker:0,Trail:0,Colors:[I;9735099,4723372],}]}}}}
execute if score $credits secret matches 440 run summon firework_rocket -3 100 -7 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:1,Flicker:0,Trail:0,Colors:[I;11742326,7214431],}]}}}}
execute if score $credits secret matches 580 run summon firework_rocket 1 100 -7 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:1,Flicker:0,Trail:0,Colors:[I;2928563,1547097]}]}}}}
execute if score $credits secret matches 465 run summon firework_rocket -4 100 -12 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:0,Flicker:0,Trail:0,Colors:[I;10240575,2471570]}]}}}}
execute if score $credits secret matches 440 run summon firework_rocket 0 100 -13 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:0,Flicker:0,Trail:0,Colors:[I;3838146,8800702]}]}}}}
execute if score $credits secret matches 590 run summon firework_rocket 4 100 -11 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:1,Flicker:0,Trail:0,Colors:[I;2929558,2274207]}]}}}}
execute if score $credits secret matches 360 run summon firework_rocket 0 100 -13 {LifeTime:15,FireworksItem:{id:firework_rocket,Count:1,tag:{Fireworks:{Flight:1,Explosions:[{Type:2,Flicker:0,Trail:0,Colors:[I;16711680,9025850],}]}}}}

#end sequence
execute if score $credits secret matches 600 run gamemode adventure @a
execute if score $credits secret matches 600 if entity @a[tag=biomerun3_title] run scoreboard players add @a[tag=biomerun3_title] secret 1
